org.apache.iotdb.jdbc

## Class IoTDBConnectionParams

- java.lang.Object
- - org.apache.iotdb.jdbc.IoTDBConnectionParams

    public class IoTDBConnectionParams
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`IoTDBConnectionParams(String url)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getHost()`
`String` `getJdbcUriString()`
`String` `getPassword()`
`int` `getPort()`
`String` `getSeriesName()`
`String` `getUsername()`
`void` `setHost(String host)`
`void` `setJdbcUriString(String jdbcUriString)`
`void` `setPassword(String password)`
`void` `setPort(int port)`
`void` `setSeriesName(String seriesName)`
`void` `setUsername(String username)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IoTDBConnectionParams

    public IoTDBConnectionParams(String url)

### Method Detail

#### getHost

    public String getHost()

#### setHost

    public void setHost(String host)

#### getPort

    public int getPort()

#### setPort

    public void setPort(int port)

#### getJdbcUriString

    public String getJdbcUriString()

#### setJdbcUriString

    public void setJdbcUriString(String jdbcUriString)

#### getSeriesName

    public String getSeriesName()

#### setSeriesName

    public void setSeriesName(String seriesName)

#### getUsername

    public String getUsername()

#### setUsername

    public void setUsername(String username)

#### getPassword

    public String getPassword()

#### setPassword

    public void setPassword(String password)